#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kio-zeroconf
Summary:        DNS-SD Service Discovery Monitor
Group:          Networking/Other
Version: 23.04.1
Release:        %mkrel %{rel}
License:        GPLv2 LGPLv2 GFDL
URL:            https://www.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5DNSSD)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5CoreAddons)

Requires:       nss_mdns

Obsoletes:      zeroconf-ioslave < 22.08.0
Provides:       zeroconf-ioslave = %version-%release


%description
DNS-SD Service Discovery Monitor.

%files -f %name.lang
%_kf5_plugindir/kio/zeroconf.so
%_kf5_datadir/remoteview/zeroconf.desktop
%_kf5_datadir/dbus-1/interfaces/org.kde.kdnssd.xml
%_kf5_metainfodir/org.kde.kio_zeroconf.metainfo.xml
%_kf5_plugindir/kded/dnssdwatcher.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name


%changelog
* Fri May 26 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958185
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946497
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941790
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922911
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911405
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905257
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1887283
- New version 22.08.1

* Tue Aug 30 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1882391
- imported package kio-zeroconf

